import 'package:flutter/cupertino.dart';

/// Application settings
///
/// @author Pierre Hubert

class ApplicationPreferences {
  bool enableDarkMode;
  bool forceMobileMode;
  bool showPerformancesOverlay;

  ApplicationPreferences({
    @required this.enableDarkMode,
    @required this.forceMobileMode,
    @required this.showPerformancesOverlay,
  })  : assert(enableDarkMode != null),
        assert(forceMobileMode != null),
        assert(showPerformancesOverlay != null);
}
