import 'package:comunic/models/conversation.dart';
import 'package:comunic/models/conversation_message.dart';
import 'package:flutter/material.dart';

/// Unread conversation information
///
/// @author Pierre Hubert

class UnreadConversation {
  final Conversation conv;
  final ConversationMessage message;

  const UnreadConversation({
    @required this.conv,
    @required this.message,
  })  : assert(conv != null),
        assert(message != null);
}
